--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Define a trap handler block for all SNMPv1 traps. The trap yielded to the block will always be an SNMPv1_Trap.
full_name: SNMP::TrapListener#on_trap_v1
is_singleton: false
name: on_trap_v1
params: (&block)
visibility: public
